- name: Install chrony
  package:
    name: chrony
    state: present

- name: Set chrony configuration
  template:
    src: "{{ role_path }}/files/chrony.conf"
    dest: /etc/chrony/chrony.conf

- name: Enable chrony
  service:
    name: chrony
    enabled: true

- name: Disable systemd-timesyncd.service
  systemd:
    name: systemd-timesyncd.service
    enabled: false
    masked: true
  failed_when: false